Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Formalisms.World.Ants
Class AbstractAnt

    java.lang.Object
      SEdit.SElement
          SEdit.SNode
              SEdit.Formalisms.World.WorldEntity
                  SEdit.Formalisms.World.MobileEntity
                      SEdit.Formalisms.World.Ants.AbstractAnt

Direct Known Subclasses:
  MarkingAnt, SimpleAnt

    public abstract class AbstractAnt

extends MobileEntity

Field Summary
`protected boolean` | `carrying`

Fields inherited from class SEdit.Formalisms.World.MobileEntity
`BOUND, convDegGrad, convGradDeg, movementType, WRAP`

Fields inherited from class SEdit.Formalisms.World.WorldEntity
`behaviorFileName, brainClass`

Fields inherited from class SEdit.SElement
`comment, descriptor, element, id, label, persistent, structure`

Constructor Summary
`AbstractAnt()`

Method Summary
`void` | `eat(WorldEntity e)`
`WorldEntity` | `getHome()`
`boolean` | `isCarrying()`
`void` | `randomMove()` moves a body into a random direction.
`void` | `setHome(WorldEntity p)`

Methods inherited from class SEdit.Formalisms.World.MobileEntity
`avoidObstacles, detect, directTowards, getDetectingRange, getDirection, getDirectionTo, getDirectionTo, getDistanceTo, getMaxSpeed, getSpeed, init, isDetecting, isTouching, move, moveTo, randomDir, setDetecting, setDetectingRange, setDirection, setMaxSpeed, setRandomCptMax, setSpeed`

Methods inherited from class SEdit.Formalisms.World.WorldEntity
`addInArrow, addOutArrow, afterDoIt, beforeDoIt, bodyDoIt, delete, doIt, getBehaviorFileName, getBrain, getBrainClass, getDistance, getInArrows, getLocation, getOutArrows, getPosition, isConnectable, makeBrain, selfDelete, setBehaviorFileName, setBrain, setBrainClass, showLine, toString`

Methods inherited from class SEdit.SNode
`activate, deleteInArrow, deleteOutArrow, initGraphics, reInstall`

Methods inherited from class SEdit.SElement
`dump, getComment, getDescriptor, getGObject, getID, getLabel, getStructure, inspect, setComment, setDescriptor, setGObject, setID, setLabel, setStructure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### carrying

    protected boolean carrying

Constructor Detail

### AbstractAnt

    public AbstractAnt()

Method Detail

### getHome

    public WorldEntity getHome()

### setHome

    public void setHome(WorldEntity p)

### isCarrying

    public boolean isCarrying()

### randomMove

    public void randomMove()

  Description copied from class: `MobileEntity`
  moves a body into a random direction. The body goes into the same direction randomCptMax time unit. The parameter randomCptMax may be modified using the setRandomCptMax method

  Overrides:
    `randomMove` in class `MobileEntity`

### eat

    public void eat(WorldEntity e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.